Description

I've noticed that for issue links in commits there exists the capability of specifying a list of acceptable prefixes in order to trigger the

linkification. What I would like is to a similar type of setting for issue links within the rest of the system, especially with issue

notes/comments.

The main motivation behind this request is that recently we have converted from Bugzilla and have various comments throughout our

system in the following forms:

bug#123

bug #123

Bug 123

Bug#123

Bug #123

Issue#123

What would be great to see is some way to specify an issue prefix similar how it is done for repository commit messages where I

could specify a list like "bug#,bug #,issue#,issue #" and have it cover all of the above cases. This is especially important because I

can foresee some variation in how people enter these in comments I would like some control over adjusting how Redmine picks them

up.

Ideally in terms of admin user experience it would be great to just specify a regular expression for the match that contains the issue

number as a capture. Having this setting used both for commit messages and issue notes/comments makes a lot of sense to me too

instead of having them be configured separately.

I do also remember digging into the Redmine source code a few years back to see if I could hack my way through customizing

Redmine to support our specific desired prefixes but don't remember where I got with it or where I was checking. I'm not a Ruby guy

but if somebody could give any pointers on where one could get started I would not mind doing as much as I can to contribute to a

possible workaround or feature to support this.

One another similar note we have several revision references in the following form.

Revision: 123

Author: somebody

The main issue we are interested in is the issue linking as the revision details should eventually come through as linked to the issues

once we get that portion of our Redmine configuration figured out. As for the historical comments, we can always go through and

parse then and add in the relevant links manually.

Related issues:

Related to Redmine - Feature #10248: Specific text instead of addresses to th... New

History

#1 - 2014-06-09 05:31 - Jeff Pierson

This should have been entered as a feature request. Could somebody please make that change that has more permissions than myself?

#2 - 2014-06-30 08:23 - Toshi MARUYAMA

- Category changed from Issues to Text formatting

#3 - 2014-06-30 08:24 - Toshi MARUYAMA

- Tracker changed from Defect to Feature
http://www.redmine.org/projects/redmine/wiki/RedmineSettings#Referencing-issues-in-commit-messages
http://www.redmine.org/projects/redmine/wiki/RedmineSettings#Referencing-issues-in-commit-messages
https://www.redmine.org/issues/123
https://www.redmine.org/issues/123


Jeff Pierson wrote:

This should have been entered as a feature request.

 Changed.

#4 - 2014-07-14 20:42 - Travis Weston

+1 I've been looking for this all day.

#5 - 2014-08-13 02:05 - Toshi MARUYAMA

- Related to Feature #10248: Specific text instead of addresses to the Redmine internal links added
